import { PythonProject } from "projen/lib/python";
import { PythonVersion } from "../../languages";
import { CodeGenerationSourceOptions, GeneratedPythonHandlersOptions } from "../../types";
import { GeneratedPythonRuntimeProject } from "../runtime/generated-python-runtime-project";
export interface GeneratedPythonHandlersProjectOptions extends GeneratedPythonHandlersOptions, CodeGenerationSourceOptions {
    /**
     * The generated python types
     */
    readonly generatedPythonTypes: GeneratedPythonRuntimeProject;
}
export declare class GeneratedPythonHandlersProject extends PythonProject {
    /**
     * Options configured for the project
     * @private
     */
    private readonly options;
    /**
     * Directory containing tests
     * @private
     */
    private readonly tstDir;
    /**
     * Python runtime version for the handlers
     */
    readonly runtimeVersion: PythonVersion;
    constructor(options: GeneratedPythonHandlersProjectOptions);
    buildGenerateCommandArgs: () => string;
}
